Package com.collibra.dgc.core.api.dto.instance.rating

# Class ChangeRatingRequest

Object
ChangeRatingRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeRatingRequest extends Object implements Serializable
The properties of the rating to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ChangeRatingRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeRatingRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeRatingRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getId()`
  Required. The ID of the rating.
  `Double`
  `getRating()`
  Required. The new rating value.
  `String`
  `getReview()`
  The new review value.
  `int`
  `hashCode()`
  `void`
  `setId(UUID id)`
  Required. The ID of the rating.
  `void`
  `setRating(Double rating)`
  Required. The new rating value.
  `void`
  `setReview(String review)`
  The new review value.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeRatingRequest

    public ChangeRatingRequest()

- ## Method Details

  - ### builder

    public static ChangeRatingRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the rating.

  - ### getRating

    public Double getRating()
    Required. The new rating value. Allowed values are {0.2, 0.4, 0.6, 0.8, 1.0} (e.g., 0.2 for 1 star, 1.0 for 5 stars).

  - ### getReview

    public String getReview()
    The new review value.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the rating.

  - ### setRating

    public void setRating(Double rating)
    Required. The new rating value. Allowed values are {0.2, 0.4, 0.6, 0.8, 1.0} (e.g., 0.2 for 1 star, 1.0 for 5 stars).

  - ### setReview

    public void setReview(String review)
    The new review value.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`